package event

type PlayerCreate struct {
	PlayerId   string
	PlayerName string
	Gender     int32
}

func NewPlayerCreate(playerId string, playerName string, gender int32) PlayerCreate {
	event := PlayerCreate{
		PlayerId:   playerId,
		PlayerName: playerName,
		Gender:     gender,
	}
	return event
}

func (PlayerCreate) Name() string {
	return PlayerCreateKey
}

func (p PlayerCreate) UniqueId() string {
	return p.PlayerId
}
